Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(11)

Issue 1150843002: Dismiss browser plugin modal dialogs when the embedder needs to. (Closed)

Created:
4 years, 5 months ago by Charlie Reis
Modified:
4 years, 5 months ago
CC:
chromium-reviews, darin-cc_chromium.org, nasko+codewatch_chromium.org, jam, creis+watch_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Dismiss browser plugin modal dialogs when the embedder needs to. Test from wjmaclean@. PDF simply shows an alert dialog using script. BUG=482380 TEST=See bug for repro steps. Committed: https://crrev.com/89a0f782193755ad7a0b93c58dbcc1b96528405f Cr-Commit-Position: refs/heads/master@{#331584}

Patch Set 1 : #

Patch Set 2 : Add test from wjmaclean@ #

Patch Set 3 : Move test file #

Unified diffs Side-by-side diffs Delta from patch set Stats (+65 lines, -6 lines) Patch
M chrome/browser/ui/browser_browsertest.cc View 1 2 1 chunk +26 lines, -0 lines 0 comments Download
A chrome/test/data/alert_dialog.pdf View 1 2 Binary file 0 comments Download
M content/browser/browser_plugin/browser_plugin_embedder.h View 2 chunks +6 lines, -0 lines 0 comments Download
M content/browser/browser_plugin/browser_plugin_embedder.cc View 1 chunk +14 lines, -0 lines 0 comments Download
M content/browser/web_contents/web_contents_impl.h View 1 1 chunk +4 lines, -0 lines 0 comments Download
M content/browser/web_contents/web_contents_impl.cc View 1 5 chunks +15 lines, -6 lines 0 comments Download

Messages

Total messages: 22 (8 generated)
Charlie Reis
wjmaclean: Here's a draft of what we were discussing. Is it similar to what you ...
4 years, 5 months ago (2015-05-20 23:49:19 UTC) #4
Fady Samuel
browser_plugin cannot be tested from content currently, because it assumes it has a BrowserPluginGuestDelegate and ...
4 years, 5 months ago (2015-05-21 00:12:20 UTC) #6
Charlie Reis
Nasko, can I get your thoughts on this while James and Paul discuss how we ...
4 years, 5 months ago (2015-05-21 23:24:20 UTC) #8
Fady Samuel
A possible alternative (maybe cleaner?) approach is to do it in the OwnerContentsObserver in GuestViewBase: ...
4 years, 5 months ago (2015-05-22 13:00:50 UTC) #9
nasko
On 2015/05/22 13:00:50, Fady Samuel wrote: > A possible alternative (maybe cleaner?) approach is to ...
4 years, 5 months ago (2015-05-22 14:20:51 UTC) #10
Charlie Reis
On 2015/05/22 14:20:51, nasko wrote: > On 2015/05/22 13:00:50, Fady Samuel wrote: > > A ...
4 years, 5 months ago (2015-05-22 17:21:04 UTC) #11
Charlie Reis
Thanks for the test, wjmaclean! I've added it to this CL. Nasko and Fady, PTAL.
4 years, 5 months ago (2015-05-26 21:28:07 UTC) #12
nasko
content/ LGTM
4 years, 5 months ago (2015-05-26 22:39:50 UTC) #13
Charlie Reis
Thanks! I had to move the PDF from chrome/test/data/pdf/ to chrome/test/data/ since the PDFExtensionTest iterates ...
4 years, 5 months ago (2015-05-26 22:51:13 UTC) #15
Fady Samuel
browser_plugin lgtm
4 years, 5 months ago (2015-05-26 23:05:41 UTC) #16
sky
LGTM
4 years, 5 months ago (2015-05-27 15:38:50 UTC) #17
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1150843002/80001
4 years, 5 months ago (2015-05-27 16:08:38 UTC) #20
commit-bot: I haz the power
Committed patchset #3 (id:80001)
4 years, 5 months ago (2015-05-27 16:13:32 UTC) #21
commit-bot: I haz the power
4 years, 5 months ago (2015-05-27 16:14:27 UTC) #22
Message was sent while issue was closed.
Patchset 3 (id:??) landed as
https://crrev.com/89a0f782193755ad7a0b93c58dbcc1b96528405f
Cr-Commit-Position: refs/heads/master@{#331584}

Powered by Google App Engine
This is Rietveld 408576698